Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest.assertions
Class LoadTestAssertionRegistry

    java.lang.Object
      com.eviware.soapui.impl.wsdl.loadtest.assertions.LoadTestAssertionRegistry

    public class LoadTestAssertionRegistry

extends java.lang.Object

Registry for available LoadTestAssertions

Author:
  Ole.Matzura

Constructor Summary
`LoadTestAssertionRegistry()`

Method Summary
`static AbstractLoadTestAssertion` | `buildAssertion(com.eviware.soapui.config.LoadTestAssertionConfig config, WsdlLoadTest loadTest)`
`static LoadTestAssertion` | `createAssertion(java.lang.String type, WsdlLoadTest loadTest)`
`static com.eviware.soapui.config.LoadTestAssertionConfig` | `createAssertionConfig(java.lang.String type)`
`static java.lang.String[]` | `getAvailableAssertions()`
`static LoadTestAssertionRegistry` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadTestAssertionRegistry

    public LoadTestAssertionRegistry()

Method Detail

### getInstance

    public static LoadTestAssertionRegistry getInstance()

### buildAssertion

    public static AbstractLoadTestAssertion buildAssertion(com.eviware.soapui.config.LoadTestAssertionConfig config,
                                                           WsdlLoadTest loadTest)

### createAssertionConfig

    public static com.eviware.soapui.config.LoadTestAssertionConfig createAssertionConfig(java.lang.String type)

### getAvailableAssertions

    public static java.lang.String[] getAvailableAssertions()

### createAssertion

    public static LoadTestAssertion createAssertion(java.lang.String type,
                                                    WsdlLoadTest loadTest)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.